//
//  MainViewController.m
//  CoreDataLibraryAppOSX
//
//  Created by Duncan Groenewald on 6/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import "MainViewController.h"
#import "OSxCDStackManager.h"

@interface MainViewController ()

@end

@implementation MainViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Initialization code here.
    }
    return self;
}
- (void)awakeFromNib {
    NSLog(@"awakeFromNib called");

    NSLog(@"  companyController is %@", companyController);
    
    companyController.managedObjectContext = _managedObjectContext;
    personController.managedObjectContext = _managedObjectContext;
    allPeopleController.managedObjectContext = _managedObjectContext;
    
    NSSortDescriptor * sd = [[NSSortDescriptor alloc] initWithKey:@"name" ascending:YES selector:@selector(caseInsensitiveCompare:)];
    
    [companyController setSortDescriptors:[NSArray arrayWithObject:sd]];
    [personController setSortDescriptors:[NSArray arrayWithObject:sd]];
    [allPeopleController setSortDescriptors:[NSArray arrayWithObject:sd]];


    NSError *error = nil;
    BOOL ok = [companyController fetchWithRequest:nil merge:NO error:&error];
    if (!ok)
        NSLog(@" error getting project details");
    
    [companyTableView reloadData];
    [peopleTableView reloadData];
    [allPeopleTableView reloadData];
    
    /*
    NSArray *companies = [companyController arrangedObjects];
    NSLog(@"  companies list is:");
    for (NSManagedObject *object in companies) {
        NSLog(@"  %@", [object valueForKey:@"name"]);
    }
     */
    
}
-(void)setManagedObjectContext:(NSManagedObjectContext *)aManagedObjectContext {
    
    NSLog(@"setManagedObjectContext: called with %@", aManagedObjectContext);
    _managedObjectContext = aManagedObjectContext;
    

}

@end
